# Uses of Class
org.eclipse.net4j.signal.RemoteException

Packages that use RemoteException
Package
Description
org.eclipse.net4j.buffer
The Net4j transport layer concepts for dealing with buffers.
org.eclipse.net4j.signal
A framework for request/response based communication on top of the Net4j transport layer.

## Uses of RemoteException in org.eclipse.net4j.buffer

Methods in org.eclipse.net4j.buffer with parameters of type RemoteException
Modifier and Type
Method
Description
`void`
BufferInputStream.`setException(RemoteException exception)`

## Uses of RemoteException in org.eclipse.net4j.signal

Methods in org.eclipse.net4j.signal with parameters of type RemoteException
Modifier and Type
Method
Description
`protected void`
RequestWithConfirmation.`onRemoteException(RemoteException ex)`
Methods in org.eclipse.net4j.signal that throw RemoteException
Modifier and Type
Method
Description
`RESULT`
RequestWithConfirmation.`send()`
`RESULT`
RequestWithConfirmation.`send(long timeout)`
`RESULT`
RequestWithMonitoring.`send()`
`RESULT`
RequestWithMonitoring.`send(long timeout)`
`RESULT`
RequestWithMonitoring.`send(long timeout, org.eclipse.net4j.util.om.monitor.OMMonitor monitor)`
`RESULT`
RequestWithMonitoring.`send(org.eclipse.net4j.util.om.monitor.OMMonitor monitor)`